From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/bpf-toolchain/
Date: Thu, 15 Aug 2024 23:47:01 +0000 (UTC) [thread overview]
Message-ID: <1723765582.21f52fa7265f10d9d62df5b9d4194b772e81795b.sam@gentoo> (raw)
commit: 21f52fa7265f10d9d62df5b9d4194b772e81795b
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 15 23:46:12 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 15 23:46:22 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21f52fa7
sys-devel/bpf-toolchain: fix stripping like dev-util/mingw64-toolchain does
(Revbumped in previous commit.)
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-devel/bpf-toolchain/bpf-toolchain-14.2.0-r2.ebuild | 14 ++++++++++++--
1 file changed, 12 insertions(+), 2 deletions(-)
diff --git a/sys-devel/bpf-toolchain/bpf-toolchain-14.2.0-r2.ebuild b/sys-devel/bpf-toolchain/bpf-toolchain-14.2.0-r2.ebuild
index 093dcc4f54dd..ddd76d00070c 100644
--- a/sys-devel/bpf-toolchain/bpf-toolchain-14.2.0-r2.ebuild
+++ b/sys-devel/bpf-toolchain/bpf-toolchain-14.2.0-r2.ebuild
@@ -41,8 +41,7 @@ LICENSE="
"
SLOT="0"
KEYWORDS="-* ~amd64"
-# TODO: USE=strip from dev-util/mingw64-toolchain?
-IUSE="+bin-symlinks custom-cflags"
+IUSE="+bin-symlinks custom-cflags +strip"
RDEPEND="
dev-libs/gmp:=
@@ -194,6 +193,17 @@ src_compile() {
# which does not make use of cross-library dependencies: the libdep.a
# for the native binutils will do.
rm -f ${sysroot}/lib/bfd-plugins/libdep.a || die
+
+ # portage doesn't know the right strip executable to use for CTARGET
+ # and it can lead to .a mangling, notably with 32bit (breaks toolchain)
+ dostrip -x ${bpftdir}/{${CTARGET}/lib{,32},lib/gcc/${CTARGET}}
+
+ # ... and instead do it here given this saves ~60MB
+ if use strip; then
+ einfo "Stripping ${CTARGET} static libraries ..."
+ find "${sysroot}"/{,lib/gcc/}${CTARGET} -type f -name '*.a' \
+ -exec ${CTARGET}-strip --strip-unneeded {} + || die
+ fi
}
src_install() {
next reply other threads:[~2024-08-15 23:47 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-15 23:47 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-11 16:05 [gentoo-commits] repo/gentoo:master commit in: sys-devel/bpf-toolchain/ Sam James
2025-03-08 11:07 Sam James
2025-01-05 13:40 WANG Xuerui
2024-12-09 12:36 Arthur Zamarin
2024-11-02 10:00 Arthur Zamarin
2024-09-12 14:58 Sam James
2024-09-09 20:44 Arthur Zamarin
2024-09-09 13:46 Sam James
2024-09-08 21:59 Sam James
2024-08-31 6:39 Sam James
2024-08-23 13:00 Arthur Zamarin
2024-08-20 19:00 Sam James
2024-08-19 19:22 Sam James
2024-08-19 17:33 Sam James
2024-08-19 17:33 Sam James
2024-08-19 13:50 Jakov Smolić
2024-08-19 12:40 Arthur Zamarin
2024-08-19 12:40 Arthur Zamarin
2024-08-19 10:51 Arthur Zamarin
2024-08-19 10:44 Arthur Zamarin
2024-08-19 8:42 Sam James
2024-08-16 0:39 Sam James
2024-08-15 23:47 Sam James
2024-08-15 22:18 Sam James
2024-08-07 2:53 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1723765582.21f52fa7265f10d9d62df5b9d4194b772e81795b.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox